PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_sssssm | ( | int | M1,
|  | int | N1,
|  | int | M2,
|  | int | N2,
|  | int | K,
|  | int | IB,
|  | float * | A1,
|  | int | LDA1,
|  | float * | A2,
|  | int | LDA2,
|  | const float * | L1,
|  | int | LDL1,
|  | const float * | L2,
|  | int | LDL2,
|  | const int * | IPIV
| ) |  |

CORE_sssssm applies the LU factorization update from a complex matrix formed by a lower triangular IB-by-K tile L1 on top of a M2-by-K tile L2 to a second complex matrix formed by a M1-by-N1 tile A1 on top of a M2-by-N2 tile A2 (N1 == N2).

This is the right-looking Level 2.5 BLAS version of the algorithm.

Parameters

  [in] | M1 | The number of rows of the tile A1. M1 >= 0.
  [in] | N1 | The number of columns of the tile A1. N1 >= 0.
  [in] | M2 | The number of rows of the tile A2 and of the tile L2. M2 >= 0.
  [in] | N2 | The number of columns of the tile A2. N2 >= 0.
  [in] | K | The number of columns of the tiles L1 and L2. K >= 0.
  [in] | IB | The inner-blocking size. IB >= 0.
  [in,out] | A1 | On entry, the M1-by-N1 tile A1. On exit, A1 is updated by the application of L (L1 L2).
  [in] | LDA1 | The leading dimension of the array A1. LDA1 >= max(1,M1).
  [in,out] | A2 | On entry, the M2-by-N2 tile A2. On exit, A2 is updated by the application of L (L1 L2).
  [in] | LDA2 | The leading dimension of the array A2. LDA2 >= max(1,M2).
  [in] | L1 | The IB-by-K lower triangular tile as returned by CORE_ststrf.
  [in] | LDL1 | The leading dimension of the array L1. LDL1 >= max(1,IB).
  [in] | L2 | The M2-by-K tile as returned by CORE_ststrf.
  [in] | LDL2 | The leading dimension of the array L2. LDL2 >= max(1,M2).
  [in] | IPIV | The pivot indices array of size K as returned by CORE_ststrf.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value